package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.Hookup;
import com.bizmatics.model.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-03-07
 */
public interface HookupMapper extends CrudMapper<Hookup> {
    List<DeviceTypeVo> getDevidetype(@Param("siteId") Integer siteId);

    List<RtAnalogDataOneVo> getVariable(@Param("siteId") Integer siteId);

    List<RtAnalogDataOneVo> getVariable171(@Param("siteId") Integer siteId);

    List<RtAnalogDataOneVo> getVariable173(@Param("siteId") Integer siteId);

    List<HookupComponentCompleteTowVo> getHookupComponentComplete(@Param("siteId") Integer siteId);

}
